Skip to main content

Get Email ID Resources

API Description

Get information about one or more email resources matching query parameters.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED

Query Parameters

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
emailIdDetails.address
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/email-ids?ql={query_parameter};{query_parameter}

Expected to return email resources generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids?ql=createdDate=gt=2024-03-30T00:00:00Z

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: cbc6080e-53c8-43cb-8d46-082859226bfb
content-type: application/json

Response Body

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]brandId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]emailIdDetails
REQUIRED
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-05-11T18:34:00Z",
"updatedDate": "2026-05-11T18:34:00Z",
"state": "PUBLISHED",
"etag": "8d0a76ac-0be9-11ef-9262-0242ac120002",
"emailIdDetails": {
"address": "user@business.com"
}
},
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654419",
"createdDate": "2026-06-10T10:31:00Z",
"updatedDate": "2026-06-10T10:31:00Z",
"state": "PUBLISHED",
"etag": "a1ea4fd2-0beb-11ef-9262-0242ac120002",
"emailIdDetails": {
"address": "user@enterprisebrand.com"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v3/orgs/9467895078742654934/brands/9467895078742654921/email-ids?ql=createdDate=gt=2024-03-30T00:00:00Z&limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}